//======================================================
// PROJECT:	Appoinment
// FILE:	Appointment.java
// PURPOSE:	Draws a page from an appointment book
// VERSION:	1.1
// TARGET:	Java v1.1 or above
// DATE:	1.1  9/24/00
// PROGRAMMER: Philip N. Geissler
//======================================================

import java.applet.*;
import java.awt.*;
import java.util.*;

public class Appointment extends Applet
{
	public void paint(Graphics g)
	{
		//draw border and inside blue header line
		g.drawRect(0,0,230,459);
		g.setColor(Color.blue);
		g.drawLine(3,5,225,5);
		
		//title header	
		g.setFont(new Font("SansSerif", Font.BOLD, 12));	
		g.drawString("DATE:", 3, 19);
		g.fillRect(3,23,225,15);
		g.setFont(new Font("TimesRoman", Font.BOLD, 12));
		g.setColor(Color.white);
		g.drawString("APPOINTMENTS", 70, 35);
		
		//Get current time 
		Calendar myCalendar = Calendar.getInstance();
		int myMonth = myCalendar.get(Calendar.MONTH) + 1;
		int myDay = myCalendar.get(Calendar.DATE);
		int myYear = myCalendar.get(Calendar.YEAR);
		
		//Set "Month/Day/Year" format
		String slash = "/";
		
		//write date onto page
		g.setColor(Color.black);	
		g.drawString("" + myMonth + slash 
											+ myDay + slash 
											+ myYear, 45, 19);
		
		//BODY OF PAGE
		
		//8AM segment
		g.setColor(Color.blue);
		g.setFont(new Font("SansSerif", Font.BOLD, 14));
		g.drawString("8", 14, 57);
		g.setColor(Color.gray);
		g.drawLine(35,47,225,47);
		g.drawLine(35,57,225,57);
		g.fillRect(3,67,225,2);		
		
		//9AM segment
		g.setColor(Color.blue);
		g.setFont(new Font("SansSerif", Font.BOLD, 14));
		g.drawString("9", 14, 89);
		g.setColor(Color.gray);
		g.drawLine(35,79,225,79);
		g.drawLine(35,89,225,89);
		g.fillRect(3,99,225,2);
		
		//10AM segment
		g.setColor(Color.blue);
		g.setFont(new Font("SansSerif", Font.BOLD, 14));
		g.drawString("10", 9, 121);
		g.setColor(Color.gray);
		g.drawLine(35,111,225,111);
		g.drawLine(35,121,225,121);
		g.fillRect(3,131,225,2);
		
		//11AM segment
		g.setColor(Color.blue);
		g.setFont(new Font("SansSerif", Font.BOLD, 14));
		g.drawString("11", 10, 153);
		g.setColor(Color.gray);
		g.drawLine(35,143,225,143);
		g.drawLine(35,153,225,153);
		g.fillRect(3,163,225,2);
		
		//12PM segment
		g.setColor(Color.blue);
		g.setFont(new Font("SansSerif", Font.BOLD, 14));
		g.drawString("12", 9, 185);
		g.setColor(Color.gray);
		g.drawLine(35,175,225,175);
		g.drawLine(35,185,225,185);
		g.fillRect(3,195,225,2);
		
		//1PM segment
		g.setColor(Color.blue);
		g.setFont(new Font("SansSerif", Font.BOLD, 14));
		g.drawString("1", 15, 217);
		g.setColor(Color.gray);
		g.drawLine(35,207,225,207);
		g.drawLine(35,217,225,217);
		g.fillRect(3,227,225,2);
		
		//2PM segment
		g.setColor(Color.blue);
		g.setFont(new Font("SansSerif", Font.BOLD, 14));
		g.drawString("2", 14, 249);
		g.setColor(Color.gray);
		g.drawLine(35,239,225,239);
		g.drawLine(35,249,225,249);
		g.fillRect(3,259,225,2);
		
		//3PM segment
		g.setColor(Color.blue);
		g.setFont(new Font("SansSerif", Font.BOLD, 14));
		g.drawString("3", 14, 281);
		g.setColor(Color.gray);
		g.drawLine(35,271,225,271);
		g.drawLine(35,281,225,281);
		g.fillRect(3,291,225,2);

		//4PM segment
		g.setColor(Color.blue);
		g.setFont(new Font("SansSerif", Font.BOLD, 14));
		g.drawString("4", 14, 313);
		g.setColor(Color.gray);
		g.drawLine(35,303,225,303);
		g.drawLine(35,313,225,313);
		g.fillRect(3,323,225,2);
		
		//5PM segment
		g.setColor(Color.blue);
		g.setFont(new Font("SansSerif", Font.BOLD, 14));
		g.drawString("5", 14, 345);
		g.setColor(Color.gray);
		g.drawLine(35,335,225,335);
		g.drawLine(35,345,225,345);
		g.fillRect(3,355,225,2);
		
		//6PM segment
		g.setColor(Color.blue);
		g.setFont(new Font("SansSerif", Font.BOLD, 14));
		g.drawString("6", 14, 377);
		g.setColor(Color.gray);
		g.drawLine(35,367,225,367);
		g.drawLine(35,377,225,377);
		g.fillRect(3,387,225,2);
		
		//7PM segment
		g.setColor(Color.blue);
		g.setFont(new Font("SansSerif", Font.BOLD, 14));
		g.drawString("7", 14, 409);
		g.setColor(Color.gray);
		g.drawLine(35,399,225,399);
		g.drawLine(35,409,225,409);
		g.fillRect(3,419,225,2);
		
		//8PM segment
		g.setColor(Color.blue);
		g.setFont(new Font("SansSerif", Font.BOLD, 14));
		g.drawString("8", 14, 441);
		g.setColor(Color.gray);
		g.drawLine(35,431,225,431);
		g.drawLine(35,441,225,441);
		
		//bottom border
		g.setColor(Color.blue);
		g.fillRect(3,450,225,7);		
	}
}